%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	A text document format for writing short documents, articles, books and UNIX man pages
Name:		asciidoc
Version:	8.5.0
Release:	2
License:	GNU/GPL
URL:		http://www.methods.co.nz/asciidoc
Group:		Development/Tools
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python26-devel
BuildArch:	noarch

%description
AsciiDoc is a text document format for writing short documents, articles, books and UNIX man pages. AsciiDoc files can be translated to HTML and DocBook markups using the asciidoc(1) command.
AsciiDoc is highly configurable: both the AsciiDoc source file syntax and the backend output markups (which can be almost any type of SGML/XML markup) can be customized and extended by the user.

%pre
if [ -d "%_sysconfdir/asciidoc" ]; then
        echo "Cleaning old symlinks under %_sysconfdir/asciidoc"
        for entry in $(find %_sysconfdir/asciidoc -type l)
	do
		rm -f $entry
	done
fi

%prep
%setup -n %{name}-%{version}

#sed -i 's#/usr/bin/env bash#/bin/sh#' a2x

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir}
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
#make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/asciidoc/{docbook-xsl,filters/{code,graphviz,music,source},images/icons,javascripts,stylesheets}/
%{__install} -p -m0644 *.conf %{buildroot}%{_sysconfdir}/asciidoc/
%{__install} -D -p -m0644 filters/code/*.conf %{buildroot}%{_sysconfdir}/asciidoc/filters/code/
%{__install} -D -p -m0755 filters/code/*.py %{buildroot}%{_sysconfdir}/asciidoc/filters/code/
%{__install} -D -p -m0644 filters/graphviz/*.conf %{buildroot}%{_sysconfdir}/asciidoc/filters/graphviz
%{__install} -D -p -m0755 filters/graphviz/*.py %{buildroot}%{_sysconfdir}/asciidoc/filters/graphviz
%{__install} -D -p -m0644 filters/music/*.conf %{buildroot}%{_sysconfdir}/asciidoc/filters/music/
%{__install} -D -p -m0755 filters/music/*.py %{buildroot}%{_sysconfdir}/asciidoc/filters/music/
%{__install} -D -p -m0644 filters/source/*.conf %{buildroot}%{_sysconfdir}/asciidoc/filters/source
%{__install} -p -m0644 docbook-xsl/*.xsl %{buildroot}%{_sysconfdir}/asciidoc/docbook-xsl/
%{__install} -p -m0644 stylesheets/*.css %{buildroot}%{_sysconfdir}/asciidoc/stylesheets/
%{__install} -p -m0644 javascripts/*.js %{buildroot}%{_sysconfdir}/asciidoc/javascripts/
%{__cp} -pR images/ %{buildroot}%{_sysconfdir}/asciidoc/

%{__install} -Dp -m0755 asciidoc.py %{buildroot}%{_bindir}/asciidoc
%{__install} -Dp -m0644 doc/asciidoc.1 %{buildroot}%{_mandir}/man1/asciidoc.1

%{__install} -d -m0755 %{buildroot}%{_datadir}/asciidoc/
%{__cp} -pR javascripts/ images/ stylesheets/ %{buildroot}%{_datadir}/asciidoc/

### Fix symlinks in examples/
%{__install} -d -m0755 symlinks/
%{__ln_s} -f %{_sysconfdir}/asciidoc/filters/ symlinks/filters
%{__ln_s} -f %{_sysconfdir}/asciidoc/images/ symlinks/images
%{__ln_s} -f %{_sysconfdir}/asciidoc/javascripts/ symlinks/javascripts
%{__ln_s} -f %{_sysconfdir}/asciidoc/stylesheets/ symlinks/stylesheets

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
#%_mandir
%_sysconfdir/asciidoc
%_bindir/asciidoc
%_datadir/asciidoc
%{_mandir}/man1/asciidoc.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 8.5.0-2
- python 2.6
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 8.5.0-1
- version update
* Thu May 28 2009 Christian Wasem <wasem@ccux-linux.de> 8.4.5-2
- rebuilt with fixit instead of python25.patch
* Wed May 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 8.4.5-1
- version update
- python25 fix
* Sun Sep 14 2008 Christian Metzen <metzench@ccux-linux.de> 8.2.7-1
- Version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 8.2.5-1
- Version update, group correction to Development/Tools,
- added BuildArch noarch (no compiling needed for this package)
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.2.3-1
- Version update
* Mon Nov 13 2006 Simon Schmeier <wrt@ccux-linux.de> 8.1.0-2
- fixed description tag
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 8.1.0-1
- Initial Release
